Lineups
The Lineups API lets developers get a list of lineups for a fixture when they are known.
Per each fixture, this endpoint will return the following information regarding the lineup:
fixtureId
home team Id
away team Id
startingLineup
substitutes players
Endpoints
List season squads
Legacy - GET https://dde-api.data.imgarena.com/soccer/fixtures/{fixtureID}/lineups (decommissioning on 30th Sept 2026)
NEW - GET https://dde-api.data.srarena.io/soccer/fixtures/{fixtureID}/lineups
Retrieves a list of players associated to certain teams.
Path Parameters
fixtureID
String
unique id of a requested fixture
Headers
Accept*
String
application/vnd.imggaming.dde.api+json;version=1
Authorization*
String
Bearer ACCESS_TOKEN
Content-Type*
String
application/json
Response fields
lineups lineups
The requested list of possible values for lineups
Polling frequency
We recommend that you poll this endpoint every 30 seconds. Note that if lineup details are not available, we will return error code 404 - No lineup available for fixture: {fixtureId}
Last updated
Was this helpful?